Package org.gitana.platform.client.support

# Interface Copyable

All Known Subinterfaces:
  `Application`, `ApplicationDocument`, `Archive`, `AssociationDefinition`, `AuthenticationGrant`, `AutoClientMapping`, `BillingProviderConfiguration`, `Branch`, `Changeset`, `Client`, `Definition`, `Deletion`, `DeployedApplication`, `Directory`, `DirectoryDocument`, `Domain`, `DomainDocument`, `DomainGroup`, `DomainPrincipal`, `DomainUser`, `Email`, `EmailProvider`, `FeatureDefinition`, `Form`, `Group`, `Identity`, `Meter`, `Node`, `NodeList`, `Person`, `Plan`, `PlatformDataStore`, `PlatformDocument`, `Project`, `Registrar`, `RegistrarDocument`, `Registration`, `Release`, `Repository`, `RepositoryDocument`, `Rule`, `Settings`, `Stack`, `Tenant`, `TypeDefinition`, `Vault`, `VaultDocument`, `WebHost`, `WebHostDocument`

All Known Implementing Classes:
  `AbstractApplicationDocumentImpl`, `AbstractDefinitionImpl`, `AbstractDirectoryDocumentImpl`, `AbstractDomainDocumentImpl`, `AbstractDomainPrincipalImpl`, `AbstractPlatformDataStoreImpl`, `AbstractPlatformDocumentImpl`, `AbstractRegistrarDocumentImpl`, `AbstractRepositoryDocumentImpl`, `AbstractVaultDocumentImpl`, `AbstractWebHostDocumentImpl`, `ApplicationImpl`, `ArchiveImpl`, `AssociationDefinitionImpl`, `AssociationImpl`, `AuthenticationGrantImpl`, `AutoClientMappingImpl`, `BaseNodeImpl`, `BillingProviderConfigurationImpl`, `BranchImpl`, `ChangesetImpl`, `ChildAssociationImpl`, `ClientImpl`, `CopiedFromAssociationImpl`, `CreatedAssociationImpl`, `DeletedAssociationImpl`, `DeletionImpl`, `DeployedApplicationImpl`, `DirectoryImpl`, `DomainGroupImpl`, `DomainImpl`, `DomainUserImpl`, `EmailImpl`, `EmailProviderImpl`, `FeatureDefinitionImpl`, `FormImpl`, `GroupImpl`, `HasBehaviorAssociationImpl`, `HasFormAssociationImpl`, `HasLockAssociationImpl`, `HasMountAssociationImpl`, `HasTranslationAssociationImpl`, `IdentityImpl`, `LinkedAssociationImpl`, `MeterImpl`, `NodeImpl`, `NodeListImpl`, `OwnedAssociationImpl`, `PersonImpl`, `PlanImpl`, `ProjectImpl`, `RegistrarImpl`, `RegistrationImpl`, `ReleaseImpl`, `RepositoryImpl`, `RuleImpl`, `SettingsImpl`, `StackImpl`, `TenantImpl`, `TypeDefinitionImpl`, `UpdatedAssociationImpl`, `VaultImpl`, `WebHostImpl`

public interface Copyable

Author:
  uzi

## Method Summary

Modifier and Type
Method
Description
`CopyJob`
`copy(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
`copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.
`CopyJob`
`copyAsync(TypedID targetContainer)`
Copies this object into the target container.
`CopyJob`
`copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)`
Copies this object into the target container.

## Method Details

### copy

CopyJob copy(TypedID targetContainer)
Copies this object into the target container.

Parameters:
  `targetContainer` -
Returns:
  id of the resulting object

### copy

CopyJob copy(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)
Copies this object into the target container.

Parameters:
  `targetContainer` -
  `strategy` -
  `additionalConfiguration` -
Returns:
  id of the resulting object

### copyAsync

CopyJob copyAsync(TypedID targetContainer)
Copies this object into the target container.

Parameters:
  `targetContainer` -
Returns:
  copy job

### copyAsync

CopyJob copyAsync(TypedID targetContainer, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration)
Copies this object into the target container.

Parameters:
  `targetContainer` -
  `strategy` -
  `additionalConfiguration` -
Returns:
  copy job